MysqlSqlUtil::MysqlSequence Class Reference

class for MySQL sequences based on a sequence table and autonomous transactions More...

Inherits SqlUtil::AbstractSequence.

## Public Member Functions

| constructor (string n_table_name, string n_name, number n_start=1, number n_increment=1, *softnumber n_end)
| creates the object from the arguments
string | getCreateSql (*hash opt)
| returns a string that can be used to create the sequence in the database
string | getDropSql (*hash opt)
| returns a string that can be used to drop the sequence from the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the sequence in the database More...

## Detailed Description

class for MySQL sequences based on a sequence table and autonomous transactions

## Member Function Documentation

## getDropSql()

string MysqlSqlUtil::MysqlSequence::getDropSql | ( | *hash | opt | ) |

returns a string that can be used to drop the sequence from the database

Parameters

  opt | this argument is ignored

## getRenameSql()

softlist MysqlSqlUtil::MysqlSequence::getRenameSql | ( | string | new_name,
|  | *hash | opt
| ) |  |

returns a string that can be used to rename the sequence in the database

Parameters

  new_name | the new name of the object
  opt | this argument is ignored